Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Read_Guard< ACE_Null_Mutex > Class Template Reference

`#include <Null_Mutex.h>`

Inheritance diagram for ACE_Read_Guard< ACE_Null_Mutex >:

[legend]
Collaboration diagram for ACE_Read_Guard< ACE_Null_Mutex >:

[legend]
List of all members.

## Public Member Functions
| ACE_Read_Guard (ACE_Null_Mutex &m)
| ACE_Read_Guard (ACE_Null_Mutex &m, int blocked)
int | acquire_read (void)
int | acquire (void)
int | tryacquire_read (void)
int | tryacquire (void)
void | dump (void) const

### template<>
class ACE_Read_Guard< ACE_Null_Mutex >

## Member Function Documentation

ACE_Read_Guard< ACE_Null_Mutex >::ACE_Read_Guard | ( | ACE_Null_Mutex & | m,
|  | int | blocked
| ) | `[inline]`

ACE_Read_Guard< ACE_Null_Mutex >::ACE_Read_Guard | ( | ACE_Null_Mutex & | m | ) | `[inline]`

int ACE_Read_Guard< ACE_Null_Mutex >::acquire | ( | void |  | ) | `[inline]`

| Reimplemented from ACE_Guard< ACE_Null_Mutex >.

int ACE_Read_Guard< ACE_Null_Mutex >::acquire_read | ( | void |  | ) | `[inline]`

void ACE_Read_Guard< ACE_Null_Mutex >::dump | ( | void |  | ) | const`[inline]`

| Reimplemented from ACE_Guard< ACE_Null_Mutex >.

int ACE_Read_Guard< ACE_Null_Mutex >::tryacquire | ( | void |  | ) | `[inline]`

| Reimplemented from ACE_Guard< ACE_Null_Mutex >.

int ACE_Read_Guard< ACE_Null_Mutex >::tryacquire_read | ( | void |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- Null_Mutex.h